package main

import (
	"log"
	"time"

	"git.lxtend.com/qqbot/health"
	"git.lxtend.com/qqbot/sqlite3"
	wsclient "git.lxtend.com/qqbot/ws_client"
	"github.com/gin-gonic/gin"
)

func main() {
	// 创建 WebSocket 客户端
	defer func() {
		if err := recover(); err != nil {
			log.Print("Recovered in main:", err)
		}
	}()
	gin.SetMode(gin.ReleaseMode)
	sqlite3.InitDB()
	client, err := wsclient.NewWebSocketClient("ws", "localhost:3001", "")
	if err != nil {
		log.Print("Error creating WebSocket client:", err)
	}
	defer client.Close()
	ginServer := gin.New()
	engine := ginServer.Group("/health")
	engine.GET("/ping", health.HealthHandler)
	go ginServer.Run(":3434")
	for {
		time.Sleep(1000 * time.Second)
	}
}
